TTF_TextEngine(3type)

NAME
TTF_TextEngine - A text engine used to create text objects.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

typedef struct TTF_TextEngine TTF_TextEngine;

DESCRIPTION
This is a public interface that can be used by applications and libraries to perform customize rendering with text objects. See <SDL3_ttf/SDL_textengine.h> for details.

There are three text engines provided with the library:

• Drawing to an SDL_Surface, created with

TTF_CreateSurfaceTextEngine ()

• Drawing with an SDL 2D renderer, created with

TTF_CreateRendererTextEngine ()

• Drawing with the SDL GPU API, created with

TTF_CreateGPUTextEngine ()

AVAILABILITY
This struct is available since SDL_ttf 3.0.0.